/// @description Encounter aftermath

switch (global.encounterStatus) {
	case encounterState.ENCOUNTER_WON:
		audio_play_sound(snd_shoot, 1, 0);
		var randBullets = irandom_range(10, 40);
		
		bullets -= randBullets;
		if (bullets < 0) {
			bullets = 0;
		}
		
		lvlUpCounter++;
		
		if (lvlUpCounter > 3) {
			lvlUpCounter = 0;
			reflexLvl++;
		}
		
		global.answer = encounterGoodEnding[randEncounter] + " (LOST " + string(randBullets) + " AMMO)";;
		points += 1200;
		break;
		
	case encounterState.ENCOUNTER_LOST:
		var randHP = irandom_range(5, 40);
		
		hitpoints -= randHP;
		if (hitpoints < 0) {
			hitpoints = 0;
		}
		global.answer = encounterBadEnding[randEncounter] + " (LOST " + string(randHP) + "HP)";
		
		if (global.grenadeEncounter) {
			audio_play_sound(choose(snd_explosion1, snd_explosion2, snd_explosion3, snd_explosion4, snd_explosion5), 1, 0);
			reason = "EXPLOSION";
		} else {
			reason = "SHOT";
		}
		
		break;
}

global.grenadeEncounter = 0;
global.encounterStatus = encounterState.NO_ENCOUNTER;